org.eclipse.modisco.kdm.source.discoverer

## Class DiscoverSourceModelFromJavaElement

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<IJavaElement>
    - - org.eclipse.modisco.kdm.source.discoverer.DiscoverSourceModelFromJavaElement

All Implemented Interfaces:
  IDiscoverer<IJavaElement>

    public class DiscoverSourceModelFromJavaElement
    extends AbstractModelDiscoverer<IJavaElement>

A discoverer for building a model conforming to kdm.source metamodel from a java container (`IJavaElement` instance).

### Constructor Summary

Constructors
Constructor and Description
`DiscoverSourceModelFromJavaElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isApplicableTo(IJavaElement javaElement)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoverSourceModelFromJavaElement

    public DiscoverSourceModelFromJavaElement()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IJavaElement javaElement)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `javaElement` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.